// Divide the viewport into horizontal sections each of which takes full viewport width.

section_board__padding_top__min = 26px
section_board__padding_top__max = 43px

bottom_factor = 1.618
section_board__padding_bottom__min = bottom_factor * section_board__padding_top__min
section_board__padding_bottom__max = bottom_factor * section_board__padding_top__max


.section-board

    // flex container
    display flex
    flex-direction column
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch


    &__section

        page_manager__left_right_spacing()

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // distance
        page_manager__responsive_property(
            padding-top,
            section_board__padding_top__min, section_board__padding_top__max,
        )
        page_manager__responsive_property(
            padding-bottom,
            section_board__padding_bottom__min, section_board__padding_bottom__max,
        )


        &--grow

            // flex item
            flex-grow 1


        &--same-bg-as-predecessor

            padding-top 0
